3. Update Template Status

POST /api/open/alipay/v1/ipass/template/manage/switchStatus

Use this interface to update the template status of the redeemable card / ticket.


General Headers

Name

Description

Type

Sample

Client-Id

REQUIRED

An ID provided by AlipayHK, used to identify partner and application system.

String

4Q5Y8W0WSG45P907917

Content-Type

REQUIRED

The RFC 2616 media type of the request body, the charset should be as same as the one used for cryptographic operations. 

String

application/json; charset=UTF-8

Signature

REQUIRED

A key-value pairs string separated by commas (,), which keys and values are joined by equal signs (key=value). 

Valid keys include: 

  • algorithm: The digital signature algorithm used in generating the signature, RSA256 or ECC224, uses RSA256 by default. 
  • keyVersion: The key version of the signing key configured with Client-Id, uses the latest version by default. 
  • signature: The signature value of this request. 

String

algorithm=RSA256,keyVersion=1,signature=KEhXthj4bJ801Hqw8kaLvEKc0Rii8KsNUazw7kZgjxyGSPuOZ48058UVJUkkR21iD9JkHBGR rWiHPae8ZRPuBagh2H3qu7fxY5GxVDWayJUhUYkr9m%2FOW4UQVmXaQ9yn%2Fw2dCtzwAW0htPHYrKMyrT pMk%2BfDDmRflA%2FAMJhQ71yeyhufIA2PCJV8%2FCMOa46303A0WHhH0YPJ9%2FI0UeLVMWlJ1XcBo3Jr bRFvcowQwt0lP1XkoPmSLGpBevDE8%2FQ9WnxjPNDfrHnKgV2fp0hpMKVXNM%2BrLHNyMv3MkHg9iTMOD% 2FFYDAwSd%2B6%2FEOFo9UbdlKcmodJwjKlQoxZZIzmF8w%3D%3D

Encrypt

REQUIRED when message content needs to be encrypted. 

A key-value pairs string separated by commas (,), which keys and values are joined by equal signs (key=value). 

Valid keys include: 

  • algorithmThe symmetric key algorithm used in encryptingthe signature, only RSA_AES is supported
  • keyVersionThe key version of the signing key configured with Client-Id, uses the latest version by default.
  • symmetricKey: The encrypted symmetric key.

String

algorithm=RSA_AES,keyVersion=1,symmetricKey=bqS8HSmdaRrpKSuPy7CqUlyd8lJurG93

Request-only Headers

Name

Description

Type

Sample

Request-Time

REQUIRED

The ISO-8601 datetime of this API request with timezone.

String

2024-05-22T06:42:21+05:30

Response-only Headers

Name

Description

Type

Sample

Response-Time

REQUIRED

The ISO-8601 datetime of this API response with timezone.

String

2024-05-22T06:42:21+05:30

Tracer-Id

An ID for tracing this request.

String

abcdefg135202000000000263818



Request parameters

merchantAccountId string  REQUIRED

Merchant ID provided by AlipayHK.

merchantId (deprecated) string  

Merchant ID provided by AlipayHK.

templateCode string  REQUIRED

An unique ID referencing the template issued by AlipayHK.

More information:

  • Maximum length: 32 characters

status string  REQUIRED

Status of the template.

  • valid
  • closed: Permanently unavailable.
  • paused​: Temporarily unavailable.

Available status flow:

  • frozen (Internal status) -> valid
  • valid -> closed
  • valid -> paused
  • paused -> valid
  • paused -> closed

Response parameters

resultInfo ResultInfo  REQUIRED

A metadata object indicates the result of the request.

Show child parameters

status string  

Status of the template.

API Explorer

Request

Request Body

Response

Response Body


Result/Error codes

CodeValueMessage
SUCCESSSSuccess
PARAM_ILLEGALFRequest is invalid, usually missing parameters.
PASS_TEMPLATE_BTN_URL_ILLEGALFTemplate button URL is invalid.
PASS_TEMPLATE_IMAGE_URL_ILLEGALFTemplate image URL is invalid.
PASS_TEMPLATE_NAME_ILLEGALFTemplate name format illegally.
PASS_TEMPLATE_DESCRIPTION_ILLEGALFTemplate description format illegally
PASS_TEMPLATE_BRAND_NAME_ILLEGALFTemplate brand name format illegally.
PASS_TEMPLATE_SHOP_ILLEGALFTemplate shops format illegally.
PASS_TEMPLATE_TAG_LABEL_ILLEGALFTemplate custom label format illegally.
PASS_TEMPLATE_TAG_VALUE_ILLEGALFTemplate custom value format illegally.
PASS_TEMPLATE_START_TIME_LESS_CURRENTFTemplate start date is less than the current timestamp.
PASS_TEMPLATE_START_TIME_EXCEEDFThe start time of gift card template exceeds the allowable range.
PASS_TEMPLATE_TIME_INTERVAL_ILLEGALFThe start and end time interval of gift card template is illegal.
PASS_TEMPLATE_END_TIME_EXCEEDFThe end time of gift card template exceeds the allowable range.
PASS_TEMPLATE_IMAGE_INVALIDFThe picture of the gift card template contains sensitive content.
PASS_TEMPLATE_CUSTOMTAB_URL_INVALIDFThe custom url of the gift card template contains sensitive content.
PASS_TEMPLATE_BTN_URL_INVALIDFThe button url of the gift card template contains sensitive content.
PASS_TEMPLATE_CONTENT_INVALIDFThe gift card template text contains sensitive content.